/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oabuy.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.buydetails.entity.BuyDetails;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
import org.activiti.engine.task.Task;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 采购申请Entity
 * @author liuw
 * @version 2018-01-16
 */
public class OaBuy extends ActEntity<OaBuy> {
	
	private static final long serialVersionUID = 1L;
	private String status;		// 申请状态
	private String companyId;		// 公司
	private String officeId;		// 部门
	private String processInstanceId;		// 流程实例编号
	private String applyContent;		// 申请事由
	private String buySort;		// 采购类型
	private Date deliverDate;		// 交付日期
	private String payStyle;		// 支付方式
	private String totalPrice;       //总价格
	private String ids;
	private String CCId;
	private String comment; //审核意见 目前只保存手机端审核
	private List<String> adds = Lists.newArrayList();
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList();
	private List<BuyDetails> buyDetailsList = Lists.newArrayList();		// 子表列表
	private Date createDateStart;//搜索条件
	private Date createDateEnd;
	private String files;
	private String home;
	// 流程任务
	private Task task;
	private Map<String, Object> variables;
	// 运行中的流程实例
	private ProcessInstance processInstance;
	// 历史的流程实例
	private HistoricProcessInstance historicProcessInstance;
	// 流程定义
	private ProcessDefinition processDefinition;

	public Date getCreateDateStart() {
		return createDateStart;
	}

	public void setCreateDateStart(Date createDateStart) {
		this.createDateStart = createDateStart;
	}

	public Date getCreateDateEnd() {
		return createDateEnd;
	}

	public void setCreateDateEnd(Date createDateEnd) {
		this.createDateEnd = createDateEnd;
	}

	public String getFiles() {
		return files;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public void setFiles(String files) {
		this.files = files;
	}

	public List<BuyDetails> getBuyDetailsList() {
		return buyDetailsList;
	}

	public void setBuyDetailsList(List<BuyDetails> buyDetailsList) {
		this.buyDetailsList = buyDetailsList;
	}

	public String getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(String totalPrice) {
		this.totalPrice = totalPrice;
	}

	public String getIds() {
		return ids;
	}

	public void setIds(String ids) {
		this.ids = ids;
	}

	public String getCCId() {
		return CCId;
	}

	public void setCCId(String CCId) {
		this.CCId = CCId;
	}

	public List<String> getAdds() {
		return adds;
	}

	public void setAdds(List<String> adds) {
		this.adds = adds;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}
	public User getUser() {
		return createBy;
	}

	public void setUser(User user) {
		this.createBy = user;
	}
	public Task getTask() {
		return task;
	}

	public void setTask(Task task) {
		this.task = task;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}

	public ProcessInstance getProcessInstance() {
		return processInstance;
	}

	public void setProcessInstance(ProcessInstance processInstance) {
		this.processInstance = processInstance;
	}

	public HistoricProcessInstance getHistoricProcessInstance() {
		return historicProcessInstance;
	}

	public void setHistoricProcessInstance(HistoricProcessInstance historicProcessInstance) {
		this.historicProcessInstance = historicProcessInstance;
	}

	public ProcessDefinition getProcessDefinition() {
		return processDefinition;
	}

	public void setProcessDefinition(ProcessDefinition processDefinition) {
		this.processDefinition = processDefinition;
	}

	public OaBuy() {
		super();
	}

	public OaBuy(String id){
		super(id);
	}

	@ExcelField(title="申请状态", align=2, sort=7)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="公司", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="部门", align=2, sort=9)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="流程实例编号", align=2, sort=10)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="申请事由", align=2, sort=11)
	public String getApplyContent() {
		return applyContent;
	}

	public void setApplyContent(String applyContent) {
		this.applyContent = applyContent;
	}
	
	@ExcelField(title="采购类型", dictType="", align=2, sort=12)
	public String getBuySort() {
		return buySort;
	}

	public void setBuySort(String buySort) {
		this.buySort = buySort;
	}
	
	@ExcelField(title="交付日期", align=2, sort=13)
	public Date getDeliverDate() {
		return deliverDate;
	}

	public void setDeliverDate(Date deliverDate) {
		this.deliverDate = deliverDate;
	}
	
	@ExcelField(title="支付方式", dictType="", align=2, sort=14)
	public String getPayStyle() {
		return payStyle;
	}

	public void setPayStyle(String payStyle) {
		this.payStyle = payStyle;
	}


	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}
}